Bug 24171 - Cannot do automatic renewal with itemBarcodeFallbackSearch
Summary: Cannot do automatic renewal with itemBarcodeFallbackSearch
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-04 14:52 UTC by Katrin Fischer
Modified: 2020-02-11 00:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03


Attachments
Bug 24171: Preserve auto_renew when triggering itemBarcodeFallbackSearch (2.85 KB, patch)
2019-12-17 11:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24171: Preserve auto_renew when triggering itemBarcodeFallbackSearch (2.82 KB, patch)
2019-12-17 11:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24171: Check auto_renew if confirmation is needed (2.87 KB, patch)
2019-12-23 13:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24171: Preserve auto_renew when triggering itemBarcodeFallbackSearch (2.88 KB, patch)
2020-01-02 06:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24171: Check auto_renew if confirmation is needed (2.93 KB, patch)
2020-01-02 06:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24171: Preserve auto_renew when triggering itemBarcodeFallbackSearch (2.92 KB, patch)
2020-01-31 21:31 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 24171: Check auto_renew if confirmation is needed (2.98 KB, patch)
2020-01-31 21:31 UTC, Bouzid Fergani
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-12-04 14:52:34 UTC
When using Itemfallbacksearch for checking out items without barcode, the checkboxes for automatic-renewal and on-site checkout are ignored.

To test:
- Turn on OnSiteCheckouts and Itemfallbacksearch
- Open a patron account
- Check the checkboxes for automatic-renewal and on-site checkout
- Search for a title keyword in the checkout input box
- Verify that the item checked out is not checked out as on-site and no auto-renewal flag was set
Comment 1 Jonathan Druart 2019-12-17 11:11:41 UTC
on-site checkout works for me.
Comment 2 Jonathan Druart 2019-12-17 11:13:28 UTC
Created attachment 96361 [details] [review]
Bug 24171: Preserve auto_renew when triggering itemBarcodeFallbackSearch

The auto_renew parameter is not sent to the template when the popup
triggered by itemBarcodeFallbackSearch is displayed.

Test plan:
- Turn on OnSiteCheckouts and Itemfallbacksearch
- Open a patron account
- Check the checkboxes for automatic-renewal and on-site checkout
- Search for a title keyword in the checkout input box
- Verify that auto-renewal flag is set

Note for QA: The auto_renew flag will be set in any cases. Should we
expect regression?
Comment 3 Jonathan Druart 2019-12-17 11:14:10 UTC
Created attachment 96362 [details] [review]
Bug 24171: Preserve auto_renew when triggering itemBarcodeFallbackSearch

The auto_renew parameter is not sent to the template when the popup
triggered by itemBarcodeFallbackSearch is displayed.

Test plan:
- Turn on itemBarcodeFallbackSearch
- Open a patron account
- Check the checkboxes for automatic-renewal
- Search for a title keyword in the checkout input box
- Verify that auto-renewal flag is set

Note for QA: The auto_renew flag will be set in any cases. Should we
expect regression?
Comment 4 Katrin Fischer 2019-12-17 12:21:01 UTC
Might be a version thing - thx Joubu!
Comment 5 Katrin Fischer 2019-12-22 14:24:51 UTC
This almost works perfectly, but there is one thing that is confusing: When there is a dialog (patron has some fines or more checked out than allowed override) the checkbox appears "unchecked", which is confusing.

Could this be improved?

Also tested in combination with OnSiteCheckoutAutoCheck.
Comment 6 Jonathan Druart 2019-12-23 13:07:39 UTC
Created attachment 96603 [details] [review]
Bug 24171: Check auto_renew if confirmation is needed

Test plan:
Add some fines
Check auto_renew and check an item out, using a title keyword
Pick one item
You get the confirmation box
=> Notice that the auto_renew checkbox is checked
Comment 7 Jonathan Druart 2019-12-23 13:12:18 UTC
Still not perfect, the "on-site checkout" is not disabled. But I would move that to its own bug report.
Comment 8 Katrin Fischer 2020-01-02 06:56:48 UTC
Created attachment 96726 [details] [review]
Bug 24171: Preserve auto_renew when triggering itemBarcodeFallbackSearch

The auto_renew parameter is not sent to the template when the popup
triggered by itemBarcodeFallbackSearch is displayed.

Test plan:
- Turn on itemBarcodeFallbackSearch
- Open a patron account
- Check the checkboxes for automatic-renewal
- Search for a title keyword in the checkout input box
- Verify that auto-renewal flag is set

Note for QA: The auto_renew flag will be set in any cases. Should we
expect regression?

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2020-01-02 06:56:52 UTC
Created attachment 96727 [details] [review]
Bug 24171: Check auto_renew if confirmation is needed

Test plan:
Add some fines
Check auto_renew and check an item out, using a title keyword
Pick one item
You get the confirmation box
=> Notice that the auto_renew checkbox is checked

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2020-01-02 06:57:35 UTC
In Firefox the option appears as disabled without the 'checked', but I think this is a browser issue and disabling it makes sense when you can't remove the option in that moment.
Comment 11 Bouzid Fergani 2020-01-31 21:31:05 UTC
Created attachment 98254 [details] [review]
Bug 24171: Preserve auto_renew when triggering itemBarcodeFallbackSearch

The auto_renew parameter is not sent to the template when the popup
triggered by itemBarcodeFallbackSearch is displayed.

Test plan:
- Turn on itemBarcodeFallbackSearch
- Open a patron account
- Check the checkboxes for automatic-renewal
- Search for a title keyword in the checkout input box
- Verify that auto-renewal flag is set

Note for QA: The auto_renew flag will be set in any cases. Should we
expect regression?

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Comment 12 Bouzid Fergani 2020-01-31 21:31:10 UTC
Created attachment 98255 [details] [review]
Bug 24171: Check auto_renew if confirmation is needed

Test plan:
Add some fines
Check auto_renew and check an item out, using a title keyword
Pick one item
You get the confirmation box
=> Notice that the auto_renew checkbox is checked

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Comment 13 Martin Renvoize 2020-02-04 10:22:12 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 14 Joy Nelson 2020-02-11 00:09:29 UTC
Pushed to 19.11.x branch for 19.11.03